• 0
Sign in to follow this  
LadyAthena

Bouncy wheels, landing struts

Question

Sorry if there is a thread on this, which I'm sure there is. I'm heading to work and don't have time to do any searches, but I wanted to write this quick so apologies in advance.

I haven't played KSP in over a year, however I played tons of it before it came to steam, and well before its 1.0 release. I played about half a year after its release on steam, but stopped after.

Anyway, as of re installing, and playing the game I'm finding the wheels, and landing struts bounce me like they're on hydraulics. The fixed wheels especially bad, bouncing even while parked. Nothing I do seems to fix it. Landing on the Mun, or Minmus is a nightmare (especially minmus, landing even at 2-3m/s bounces me up no matter how light or heavy my lander is, I've tried many figurations).

I can't fathom how people play the game like this, its practically unplayable (I know its an over used meme, but for me it quite literally is because of it). So I'm wondering if there is something I'm missing, or some new mechanic I'm unaware of to fix this.

I also noticed that locking landing struts is no longer a thing, which was very helpful pre 1.0 when landing on uneven ground, and to stop bouncing (if you came in too hard on accident).

Edited by LadyAthena

Share this post


Link to post
Share on other sites

7 answers to this question

Recommended Posts

  • 0

Which version are you using?

The recently released 1.7 should have substantially improved the bouncy-wheels issue.

Share this post


Link to post
Share on other sites
  • 0
29 minutes ago, Terwin said:

Which version are you using?

The recently released 1.7 should have substantially improved the bouncy-wheels issue.

Ah right, I forgot to mention that I'm actually currently usin 1.5 since 1.5 has the best mods atm that are only compatible with it and unfortunately have not been updated to 1.6 or 1.7.

I'm wondering if there isn't simply a setting, or file I can transfer over from 1.7 to 1.5 that would fix it... Since its a relatively specific problem.

Share this post


Link to post
Share on other sites
  • 0

Moving to Gameplay Questions.

3 hours ago, LadyAthena said:

So I'm wondering if there is something I'm missing, or some new mechanic I'm unaware of to fix this.

Even in KSP 1.7, I've noticed aircraft being really bouncy on their landing gear by default (as in, launch from the SPH, it spawns on the runway, and then... bounce bounce bounce bounce forever).

However, I've found that it's mostly fixable by tinkering with the landing-gear settings.

First, make sure you have "Advanced Tweakables" turned on (it's off by default).  Just go to the game settings for your current game, it's near the bottom, make sure the checkbox is checked.

If you now look at the right-click menu for landing gear in the vehicle editor, you'll see something like this:

AeZOp6y.png

^ Note that "Spring/Damper: Auto".  That's the problem, the auto setting just doesn't work very well.  Click that button, and it'll change to "Spring/Damper: Override", and you'll see some additional controls, up top, like this:

dZaK1Ow.png

I've found that simply changing it from "auto" to "override" without touching anything else actually substantially reduces the bouncing.  Depending on your craft (its mass, the type and arrangement of its landing gear), that might be enough right there.  If that's not enough, then you can manually slide that "Damper Strength" setting up to something higher than the default 1 (for example, take it up to 1.5 or so).  I've found that doing that pretty much takes care of the bounciness problem for me.

56 minutes ago, LadyAthena said:

Ah right, I forgot to mention that I'm actually currently usin 1.5 since 1.5 has the best mods atm that are only compatible with it and unfortunately have not been updated to 1.6 or 1.7.

Are you sure they need to?

I ask because most KSP updates these days have no effect whatsoever on the vast majority of mods.  Do you actually know that your mods don't work in 1.7?  My guess is that they probably work just fine, even if the author hasn't come out and explicitly announced that.  The vast majority of mods are unaffected, usually.

So it may be worth giving 1.7 a try to see-- I expect you'll be fine.  If for some reason some must-have mod you're using really doesn't work in 1.7, you can always go back to 1.5... but it just takes a few minutes to make the experiment, and I think it's worth it.  1.6 and 1.7 gave us some nice toys.  ;)

Share this post


Link to post
Share on other sites
  • 0
29 minutes ago, Snark said:

Moving to Gameplay Questions.

Even in KSP 1.7, I've noticed aircraft being really bouncy on their landing gear by default (as in, launch from the SPH, it spawns on the runway, and then... bounce bounce bounce bounce forever).

However, I've found that it's mostly fixable by tinkering with the landing-gear settings.

First, make sure you have "Advanced Tweakables" turned on (it's off by default).  Just go to the game settings for your current game, it's near the bottom, make sure the checkbox is checked.

If you now look at the right-click menu for landing gear in the vehicle editor, you'll see something like this:

AeZOp6y.png

^ Note that "Spring/Damper: Auto".  That's the problem, the auto setting just doesn't work very well.  Click that button, and it'll change to "Spring/Damper: Override", and you'll see some additional controls, up top, like this:

dZaK1Ow.png

I've found that simply changing it from "auto" to "override" without touching anything else actually substantially reduces the bouncing.  Depending on your craft (its mass, the type and arrangement of its landing gear), that might be enough right there.  If that's not enough, then you can manually slide that "Damper Strength" setting up to something higher than the default 1 (for example, take it up to 1.5 or so).  I've found that doing that pretty much takes care of the bounciness problem for me.

Are you sure they need to?

I ask because most KSP updates these days have no effect whatsoever on the vast majority of mods.  Do you actually know that your mods don't work in 1.7?  My guess is that they probably work just fine, even if the author hasn't come out and explicitly announced that.  The vast majority of mods are unaffected, usually.

So it may be worth giving 1.7 a try to see-- I expect you'll be fine.  If for some reason some must-have mod you're using really doesn't work in 1.7, you can always go back to 1.5... but it just takes a few minutes to make the experiment, and I think it's worth it.  1.6 and 1.7 gave us some nice toys.  ;)

Problem I suppose is Ckan. Can't mod or manage anything unless its specifically for 1.7.. and since I can't find any override for that...

Thanks for the option. I didn't know that existed :)

Share this post


Link to post
Share on other sites
  • 0
4 minutes ago, LadyAthena said:

Problem I suppose is Ckan

Ah, okay.  That's one of the reasons I never use CKAN myself, much simpler and easier (for me) to just install things manually.

Does CKAN not give you any way to say "yes, I know the mod's labeled as 1.5 and we're now on 1.7 but I want to use it anyway"?

Share this post


Link to post
Share on other sites
  • 0
40 minutes ago, LadyAthena said:

Problem I suppose is Ckan. Can't mod or manage anything unless its specifically for 1.7.. and since I can't find any override for that...

Thanks for the option. I didn't know that existed :)

In ckan you can set the compatible versions.

This shows exactly where to go:

https://github.com/KSP-CKAN/CKAN/wiki/User-guide#choosing-compatible-game-versions

So if you check off 1.7, 1.6, and 1.5, you can install all of your 1.5 and later mods.

I think there are only one or two mods that check the KSP version themselves, so for most cases that is all you need to do.

 

But be sure to make a back-up of your save file if you are updating in-place.(I prefer to just copy the save file into the new KSP directory, as that guarantees the old version keeps working just as it is)

Edited by Terwin
adding ckan link

Share this post


Link to post
Share on other sites
  • 0
5 hours ago, Terwin said:

In ckan you can set the compatible versions.

This shows exactly where to go:

https://github.com/KSP-CKAN/CKAN/wiki/User-guide#choosing-compatible-game-versions

So if you check off 1.7, 1.6, and 1.5, you can install all of your 1.5 and later mods.

I think there are only one or two mods that check the KSP version themselves, so for most cases that is all you need to do.

 

But be sure to make a back-up of your save file if you are updating in-place.(I prefer to just copy the save file into the new KSP directory, as that guarantees the old version keeps working just as it is)

omg you're a life saver :D

Share this post


Link to post
Share on other sites
This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this